Query User Info
Request URL
GET /ftapi/v1/account/info
Request Parameters
| Name | Type | Required | Description |
|---|
Response Parameters
| Name | Type | Description |
|---|---|---|
| code | STRING | Response Code |
| msg | STRING | Response Message |
| success | BOOLEAN | Success Flag |
| data.assets | ARRAY | |
| data.assets[].available | STRING | |
| data.assets[].balance | STRING | |
| data.assets[].canTransfer | STRING | |
| data.assets[].coin | STRING | |
| data.assets[].crossLocked | STRING | |
| data.assets[].crossMargin | STRING | |
| data.assets[].crossProfitUnreal | STRING | |
| data.assets[].crossedMaintainMargin | STRING | |
| data.assets[].crossedMaintainMarginRate | STRING | |
| data.assets[].equities | STRING | |
| data.assets[].isolatedLocked | STRING | |
| data.assets[].isolatedMargin | STRING | |
| data.assets[].locked | STRING | |
| data.assets[].profitUnreal | STRING | |
| data.assets[].totalTrialFundBalance | STRING | |
| data.assets[].trialFundBalance | STRING | |
| data.available | STRING | |
| data.balance | STRING | |
| data.canTransfer | STRING | |
| data.crossLocked | STRING | |
| data.crossMargin | STRING | |
| data.crossProfitUnreal | STRING | |
| data.crossedMaintainMargin | STRING | |
| data.crossedMaintainMarginRate | STRING | |
| data.isolatedLocked | STRING | |
| data.isolatedMargin | STRING | |
| data.positions | ARRAY | |
| data.positions[].avgEntryPrice | STRING | |
| data.positions[].bkrFee | STRING | |
| data.positions[].closedFee | STRING | |
| data.positions[].ctime | INTEGER | |
| data.positions[].deductFeeAmount | STRING | |
| data.positions[].deductFundingAmount | STRING | |
| data.positions[].deductLossAmount | STRING | |
| data.positions[].entryValue | STRING | |
| data.positions[].feeAmount | STRING | |
| data.positions[].feeAssetId | STRING | |
| data.positions[].frozenFee | STRING | |
| data.positions[].fundAmount | STRING | |
| data.positions[].lastPrice | STRING | |
| data.positions[].lastUpdateTime | INTEGER | |
| data.positions[].leverage | INTEGER | |
| data.positions[].liquidPrice | STRING | |
| data.positions[].maintainMargin | STRING | |
| data.positions[].margin | STRING | |
| data.positions[].marginMode | STRING | |
| data.positions[].marginRate | STRING | |
| data.positions[].markPrice | STRING | |
| data.positions[].otherClosedFee | STRING | |
| data.positions[].otherMaintainMargin | STRING | |
| data.positions[].pnl | STRING | |
| data.positions[].posTpSlSize | INTEGER | |
| data.positions[].positionId | STRING | |
| data.positions[].positionMode | STRING | |
| data.positions[].profitUnreal | STRING | |
| data.positions[].profitUnrealRate | STRING | |
| data.positions[].quantity | STRING | |
| data.positions[].realizedPnl | STRING | |
| data.positions[].side | STRING | |
| data.positions[].symbolId | STRING | |
| data.positions[].tpSl | STRING | |
| data.positions[].tpSlOrders | STRING | |
| data.positions[].tpSlSize | INTEGER | |
| data.positions[].uid | STRING | |
| data.profitUnreal | STRING | |
| data.totalEquities | STRING | |
| data.totalLocked | STRING | |
| data.totalTrialFundBalance | STRING | |
| data.trialFundBalance | STRING |
Request Example
https://openapi.bittap.com/ftapi/v1/account/infoResponse Example
{
"code": "0",
"data": {
"assets": [
{
"available": "11631.90264130674743639045", // Available balance (balance - locked - cross margin unrealized PnL)
"balance": "12282.88002680674743639045", // Wallet balance (account total assets)
"canTransfer": "12149.07471130674743639045", // Transferable amount (can transfer from futures to spot)
"coin": "USDT", // Coin name
"crossLocked": "0", // Cross margin locked amount
"crossMargin": "0", // Cross margin
"crossProfitUnreal": "-517.17207", // Cross margin unrealized PnL
"crossedMaintainMargin": "21.5893424", // Maintenance margin (minimum margin to prevent liquidation)
"crossedMaintainMarginRate": "0.0018351061760195", // Maintenance margin rate
"equities": "11765.70795680674743639045", // Account equity (balance + profitUnreal)
"isolatedLocked": "0", // Isolated margin locked amount
"isolatedMargin": "0", // Isolated margin
"locked": "133.8053155", // Total locked amount
"profitUnreal": "-517.17207", // Unrealized PnL (total)
"totalTrialFundBalance": "0", // Total trial fund balance
"trialFundBalance": "0" // Available trial fund balance
}
],
"available": "11631.90264130674743639045", // Total available balance
"balance": "12282.88002680674743639045", // Total wallet balance
"canTransfer": "12149.07471130674743639045", // Total transferable amount
"crossLocked": "0", // Total cross margin locked
"crossMargin": "0", // Total cross margin
"crossProfitUnreal": "-517.17207", // Total cross margin unrealized PnL
"crossedMaintainMargin": "21.5893424", // Total maintenance margin
"crossedMaintainMarginRate": "0.0018351061760195", // Total maintenance margin rate
"isolatedLocked": "0", // Total isolated margin locked
"isolatedMargin": "0", // Total isolated margin
"positions": [
{
"avgEntryPrice": "3.0721", // Average entry price
"bkrFee": null, // Bankruptcy fee
"closedFee": null, // Close fee
"ctime": 1758179319000, // Position creation time (timestamp)
"deductFeeAmount": "0", // Deducted fee amount
"deductFundingAmount": "0", // Deducted funding fee amount
"deductLossAmount": "0", // Deducted loss amount
"entryValue": "2676.10631", // Position value (notional value)
"feeAmount": "0.267610631", // Fee generated
"feeAssetId": "USDT", // Fee currency
"frozenFee": "0", // Frozen fee
"fundAmount": "0", // Funding fee
"lastPrice": null, // Latest price (may be empty if position unchanged)
"lastUpdateTime": 1758179319143, // Last update time
"leverage": 20, // Leverage
"liquidPrice": "0", // Liquidation price (0 means will not trigger)
"maintainMargin": "0", // Maintenance margin
"margin": "133.8053155", // Current margin
"marginMode": "CROSSED", // Margin mode (CROSSED cross margin / ISOLATED isolated margin)
"marginRate": null, // Margin rate
"markPrice": null, // Mark price
"otherClosedFee": null, // Other estimated close fee
"otherMaintainMargin": null, // Other maintenance margin
"pnl": "0", // Close position PnL
"posTpSlSize": 0, // Position take profit/stop loss order count
"positionId": "8039784359178546030", // Position ID
"positionMode": "HEDGE", // Position mode (HEDGE hedge / ONEWAY one-way)
"profitUnreal": null, // Unrealized PnL
"profitUnrealRate": null, // Unrealized PnL rate
"quantity": "871.1", // Position quantity
"realizedPnl": "-0.267610631", // Realized PnL
"side": "BUY", // Direction (BUY long / SELL short)
"symbolId": "XRP-USDT-M", // Contract ID (trading pair)
"tpSl": null, // Take profit/stop loss settings
"tpSlOrders": [], // Take profit/stop loss order list
"tpSlSize": 0, // Take profit/stop loss count
"uid": "76957286" // User ID
}
],
"profitUnreal": "-517.17207", // Total unrealized PnL
"totalEquities": "11765.70795680674743639045", // Total account equity
"totalLocked": "133.8053155", // Total locked amount
"totalTrialFundBalance": "0", // Total trial fund balance
"trialFundBalance": "0" // Available trial fund balance
},
"msg": "Request successful",
"success": true
}
Error Codes
| Error Code | Description |
|---|---|
| 500 | Server Error |
Code Example
Last updated on: